Bug 124103 - Count of non-sequentially selected rows or columns in Calc statusbar
Summary: Count of non-sequentially selected rows or columns in Calc statusbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Roland Kurmann
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords:
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2019-03-15 16:49 UTC by Yan Fiz
Modified: 2022-08-12 15:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Fiz 2019-03-15 16:49:05 UTC
Description:
Calc gives the count of sequentially selected rows or columns, but not non-sequentially one's.

Steps to Reproduce:
1. Run Calc
2. Select some rows or columns non-sequentially
3. Have a look at bar at the bottom which has information about selected rows and columns

Actual Results:
https://i.postimg.cc/G2PTzp5Z/non-sequential.png

Expected Results:
Like of sequential one.

https://i.postimg.cc/Kvpk0w0v/sequential.png


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: tr-TR (en_US); UI-Language: en-US
Calc: CL
Comment 1 Oliver Brinzing 2019-03-15 17:38:38 UTC
reproducible with:

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 2 Oliver Brinzing 2019-03-16 13:29:20 UTC
already reproducible with:

Version: 4.4.7.2
Build-ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Gebietsschema: de_DE
Comment 3 QA Administrators 2021-03-17 04:20:38 UTC Comment hidden (obsolete)
Comment 4 Yan Fiz 2021-04-11 17:50:30 UTC
Hello,

Thanks you for being involved in my bug. But the bug is still present.

Version: 7.1.2.2 (x64) / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: tr-TR (en_US); UI: en-US
Calc: CL

Kind regards.
Comment 5 Roland Kurmann 2021-11-28 13:11:26 UTC
Repro in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: d272bf4f8f3a083b8c37f7b10f89cd2bf76b7d21
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

My proposition:
Count non-sequential cells if either rows or columns remain the same and are sequential.

Examples:
A1, A2, A4 -> 3 rows, 1 column
A1, A2, A4, B4 -> do not show any count 
A1, A2, A4, B1, B2, B4 -> 3 rows, 2 columns
A1, A2, A4, B1, B2, B3, B4 -> do not show any count
A1, B1, D1 -> 1 row, 3 columns
A1, B1, D1, D2 -> do not show any count

I'm working on a patch.
Comment 6 Roland Kurmann 2021-11-28 17:04:46 UTC
Patch submitted: https://gerrit.libreoffice.org/c/core/+/125979
Comment 7 Commit Notification 2021-12-01 16:35:28 UTC
scito committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6382f51d2a4d9a3ec8eef2471467ab0dbf7a8294

tdf#124103 count non-sequentially selected rows or columns in statusbar

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-12-01 17:32:48 UTC
scito committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/37de99cf953f0d7035527f245dff8f9376d29be3

tdf#124103 count non-sequentially selected rows or columns in statusbar

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-12-02 10:08:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/31d038966de5db78bd31dfd1008ee02c050d510a

Call CountNonFilteredRows() only if necessary, tdf#124103 follow-up

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-12-02 16:47:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/8a82417383fa29bfe3cdeaf8f4ca35f5170994de

Call CountNonFilteredRows() only if necessary, tdf#124103 follow-up

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Yan Fiz 2022-02-05 00:57:07 UTC
Hello Roland Kurmann,

It crashes :(

https://crashreport.libreoffice.org/stats/crash_details/df06948e-0cc1-49e5-95b6-682863f01ef7
Comment 12 Roland Kurmann 2022-02-14 16:42:18 UTC
I've looked at the crash report. The crash seems not related to this issue. cellsh.cxx was changed in the patch, but this file or the method GetState() are not listed in the stacktrace.
I've set back the status to FIXED. Please feel free to reopen again if you do not agree.
Comment 13 Elisha Byrnes 2022-08-12 15:29:11 UTC
(In reply to Commit Notification from comment #7)
> scito committed a patch related to this issue.
> It has been pushed to "master":
> https://mapquestdirections.io
> https://git.libreoffice.org/core/commit/
> 6382f51d2a4d9a3ec8eef2471467ab0dbf7a8294
> 
> tdf#124103 count non-sequentially selected rows or columns in statusbar
> 
> It will be available in 7.4.0.
> 
> The patch should be included in the daily builds available at
> https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

That's exactly what the patch does :)